'use strict';

// ** Dependencies
const util = require('util');
const serializeError = require('serialize-error');
const stringify = require('safe-json-stringify');

// const printJson = (label, message, data) => {
//     if (util.isString(entry))
//         entry = {msg: entry};
//
//     if (util.isError(entry)) {
//         entry = {
//             name: entry.name,
//             code: entry.code,
//             msg: entry.message,
//             data: entry.data
//         }
//     }
//
//     const message = stringify(entry);
//     process.stderr.write(message + '\n');
// };

const print = console.error;

function createLogger(options) {

    options = options || {};

    const logger = function (label, message, data) {
        print.apply(this, arguments);
    };

    logger.options = options;

    return logger;
}

// ** Exports
module.exports = createLogger();